Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util.ssi
Class SsiExec

    java.lang.Object
      |
      +--org.apache.catalina.util.ssi.SsiMediator
            |
            +--org.apache.catalina.util.ssi.SsiExec

All Implemented Interfaces:
  SsiCommand

public final class SsiExec
extends SsiMediator
implements SsiCommand

Version:
  $Revision: 1.3 $, $Date: 2001/07/22 20:25:15 $
Author:
  Bip Thelin, Amy Roh

Field Summary

Fields inherited from class org.apache.catalina.util.ssi.SsiMediator
`contextPath, debug, isVirtualWebappRelative, origServletContext, out, path, relpath, req, res, serverVariables, servletContext, ssiCommands`

Constructor Summary
`SsiExec()`

Method Summary
`java.lang.String` | `getStream(java.lang.String[] strParamType, java.lang.String[] strParam)` Get the processed result of this SsiCommands, called after and only if `isPrintable()` returns `true`
`boolean` | `isModified()` Return `true` if this SsiCommand has been modified since the last request.
`boolean` | `isPrintable()` Called before `getStream()` and `process()`.
`void` | `process(java.lang.String[] strParamType, java.lang.String[] strParam)` Process this request, used if `isPrintable()` returns false

Methods inherited from class org.apache.catalina.util.ssi.SsiMediator
`flush, flushDate, getCGIPath, getCommand, getCommandPath, getError, getFilePath, getServerVariable, getVirtualPath, timefmt, timefmt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SsiExec

    public SsiExec()

Method Detail

### getStream

    public final java.lang.String getStream(java.lang.String[] strParamType,
                                            java.lang.String[] strParam)

  Description copied from interface: `SsiCommand`
  Get the processed result of this SsiCommands, called after and only if `isPrintable()` returns `true`

  Specified by:
    `getStream` in interface `SsiCommand`
  Parameters:
    `strParamType` - The type of parameter
    `strParam` - The value of the parameter
  Returns:
    result from this SsiCommand

### process

    public final void process(java.lang.String[] strParamType,
                              java.lang.String[] strParam)

  Description copied from interface: `SsiCommand`
  Process this request, used if `isPrintable()` returns false

  Specified by:
    `process` in interface `SsiCommand`
  Parameters:
    `strParamType` - The type of parameter
    `strParam` - The value of the parameter

### isPrintable

    public final boolean isPrintable()

  Description copied from interface: `SsiCommand`
  Called before `getStream()` and `process()`. Return `true` if this SsiCommand provide an output else `false`

  Specified by:
    `isPrintable` in interface `SsiCommand`
  Returns:
    boolean result

### isModified

    public final boolean isModified()

  Description copied from interface: `SsiCommand`
  Return `true` if this SsiCommand has been modified since the last request.

  Specified by:
    `isModified` in interface `SsiCommand`
  Returns:
    a value of type 'boolean'

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.